Maintenance Schedule Item
The maintenance schedule item resource.
/maintenanceScheduleItemList maintenance schedule items
Retrieve a paginated list of maintenance schedule items. Filter, order, and select columns with PostgREST query parameters.
Query parameters
selectstringComma-separated columns to return. Defaults to all.
orderstringColumn to sort by, e.g. `createdAt.desc`.
limitintegerMaximum rows to return.
offsetintegerRows to skip, for pagination.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceScheduleItem?select=*&limit=10' \
--header 'Authorization: Bearer <api-key>'[
{
"id": "abc123def456",
"maintenanceScheduleId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}
]/maintenanceScheduleItemRetrieve a maintenance schedule item
Fetch a single maintenance schedule item by filtering on `id`.
Query parameters
idstringMatch on the maintenance schedule item's `id`, e.g. `eq.{id}`.
curl --request GET \
--url 'https://rest.carbon.ms/maintenanceScheduleItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'{
"id": "abc123def456",
"maintenanceScheduleId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceScheduleItemCreate a maintenance schedule item
Create a new maintenance schedule item.
Body parameters
maintenanceScheduleIdstringrequiredReferences maintenanceSchedule.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredcompanyIdstringrequiredReferences company.id
curl --request POST \
--url https://rest.carbon.ms/maintenanceScheduleItem \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceScheduleId":"xyz789","itemId":"xyz789","quantity":10,"unitOfMeasureCode":"string","companyId":"xyz789"}'{
"id": "abc123def456",
"maintenanceScheduleId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceScheduleItemUpdate a maintenance schedule item
Update an existing maintenance schedule item, matched on `id`.
Body parameters
maintenanceScheduleIdstringrequiredReferences maintenanceSchedule.id
itemIdstringrequiredReferences item.id
quantitynumberrequiredunitOfMeasureCodestringrequiredcompanyIdstringrequiredReferences company.id
curl --request PATCH \
--url 'https://rest.carbon.ms/maintenanceScheduleItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>' \
--header 'Content-Type: application/json' \
--header 'Prefer: return=representation' \
--data '{"maintenanceScheduleId":"xyz789"}'{
"id": "abc123def456",
"maintenanceScheduleId": "xyz789",
"itemId": "xyz789",
"quantity": 10,
"unitOfMeasureCode": "string",
"companyId": "xyz789",
"createdBy": "string",
"createdAt": "2026-01-01T00:00:00Z"
}/maintenanceScheduleItemDelete a maintenance schedule item
Delete a maintenance schedule item, matched on `id`. Returns 204 No Content.
Query parameters
idstringThe `id` of the maintenance schedule item to delete, e.g. `eq.{id}`.
curl --request DELETE \
--url 'https://rest.carbon.ms/maintenanceScheduleItem?id=eq.%7Bid%7D' \
--header 'Authorization: Bearer <api-key>'